## oem-realtek-disablemmc-lp1801653-dkms 1.0+18.04timbuktu1stella6

=== oem-realtek-disablemmc-lp1801653/Makefile ===
# Please add disable_mmc_usb to /etc/modules or add "insmod disable_mmc_usb.ko" in the /etc/modules
# The disable_mmc_usb.ko should be inserted before ums-realtek.ko
KVER?= $(shell uname -r)

obj-m += ums-realtek.o
obj-$(CONFIG_USB_STORAGE) += usb-storage.o

usb-storage-y := scsiglue.o protocol.o transport.o usb.o
usb-storage-y += initializers.o sierra_ms.o option_ms.o
usb-storage-y += usual-tables.o

ums-realtek-y := usb-storage.o
ums-realtek-y := realtek_cr.o

all:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) modules
clean:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) clean

=== debian/changelog ===
oem-realtek-disablemmc-lp1801653-dkms (1.0+18.04timbuktu1stella6) bionic; urgency=medium

  * Fix incorrect version name

 -- Jeremy Szu <jeremy.szu@canonical.com>  Mon, 4 Nov 2019 16:10:30 +0800

oem-realtek-disablemmc-lp1801653-dkms (1.0+18.04timbuktu1stella5) bionic; urgency=medium

  * retired this dkms due to the feature of disabling mmc has been upstreamed.

 -- Jeremy Szu <jeremy.szu@canonical.com>  Mon, 4 Nov 2019 14:10:30 +0800

oem-realtek-disablemmc-lp1801653-dkms (1.0+18.04timbuktu1stella4) bionic; urgency=medium

  * add new device (0x0bda, 0x0153)

 -- Jeremy Szu <jeremy.szu@canonical.com>  Thu, 30 Nov 2019 16:23:33 +0800

oem-realtek-disablemmc-lp1801653-dkms (1.0+18.04timbuktu1stella3) bionic; urgency=medium

  * add usb-storage as module 

 -- hugh chao <hugh.chao@canonical.com>  Mon, 12 Nov 2018 18:16:33 +0800

oem-realtek-disablemmc-lp1801653-dkms (1.0+18.04timbuktu1stella2) bionic; urgency=medium

  * add "ums_realtek" to /etc/modules 

 -- hugh chao <hugh.chao@canonical.com>  Mon, 12 Nov 2018 14:04:13 +0800

oem-realtek-disablemmc-lp1801653-dkms (1.0+18.04timbuktu1stella1) bionic; urgency=low

  * Automatically packaged by DKMS helper.

 -- hugh chao <hugh.chao@canonical.com>  Sat, 10 Nov 2018 10:16:14 +0800

=== debian/control ===
Source: oem-realtek-disablemmc-lp1801653-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Vcs-Git: lp:~stella-team/timbuktu/+git/oem-realtek-disablemmc-lp1801653-dkms 
Standards-Version: 3.8.1

Package: oem-realtek-disablemmc-lp1801653-dkms
Architecture: amd64
Depends: dkms (>= 2.3-3ubuntu9.5), ${misc:Depends}
Description: oem-realtek-disablemmc-lp1801653 driver in DKMS format wrapped by dkms-helper.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-realtek-disablemmc-lp1801653
NAME=oem-realtek-disablemmc-lp1801653
VERSION=1.0+18.04timbuktu1stella6

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
